<?php // Licence Publique Générale GNU (GNU General Publique License), Copyright 2005-2008 Geffrotin Yann
  
  include("../../nav_haut.php"); // inclure le haut de la page 
  echo '<div class="corps" onmouseover="javascript:cache(\'smenu1\'); javascript:cache(\'smenu2\'); javascript:cache(\'smenu3\'); javascript:cache(\'smenu4\'); javascript:cache(\'smenu5\'); javascript:cache(\'smenu6\'); ">'; // debut du corps de la page
  

  if(isset($_SESSION["mailcli"]))
  {

	if(!isset($_POST['choix'])){	$_POST['choix'] = "fonds importés ou exportés";	}
                  
    echo '
      <form action="fonds_historique.php" method=post>
      
        <div><h4 class="titre">Consulter l\'historique</h4></div>
        
        <table>
          <tr>
            <td>Ordonner par : </td>
            <td>
              <label>
                <select name="choix">';
                
                echo '<option value="fonds importés" '; 
                	if("fonds importés" == $_POST['choix']){	echo 'selected="selected" ';	}
				echo '>fonds importés</option>';
                 
				echo '<option value="fonds exportés" ';
                    if("fonds exportés" == $_POST['choix']){	echo 'selected="selected" ';	}
				echo '>fonds exportés</option>';
                
                echo '<option value="fonds importés ou exportés" ';
                	if("fonds importés ou exportés" == $_POST['choix']){	echo 'selected="selected" ';	}
                echo '>fonds importés ou exportés</option>';
                    
                  echo'
                </select>
              </label>
            </td>
            <td><input type="submit" value="Appliquer le filtre" /></td>
          </tr>
        </table>
      
      </form>';

    if ($connexion)// si connexion à la base réussi
    {	
      mysql_select_db($base,$connexion);
      
      if($_POST['choix'] == "fonds importés" or $_POST['choix'] == "fonds importés ou exportés"){
        
        $requete_import = "Select * from freepay_fonds_importer where mailcli = '".$_SESSION["mailcli"]."' order by datet desc;";
        $resultat_import = mysql_query($requete_import,$connexion);
        $ligne_import = mysql_fetch_assoc($resultat_import);
        
        echo '<h4 class="titre">Historique des fonds importés de la Banque vers FreePay</h4>';
        
        if(!empty($ligne_import))
      	{ 
      		echo '
          <table width="100%">
            <tr>
              <th>Date</th><th>Emetteur</th><th>Récepteur</th><th>Valeur</th><th>Devise</th>
            </tr>';
            
			while($ligne_import)
			{   
			  echo '<tr>
			  
			  <td class="historique" 
				onmouseover="this.style.backgroundColor=\'white\'"
				onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$ligne_import["datet"].'</td>
				
				<td class="historique" 
				  onmouseover="this.style.backgroundColor=\'white\'"
				  onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$ligne_import["iban"].'</td>
				  
				<td class="historique" 
				  onmouseover="this.style.backgroundColor=\'white\'"
				  onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$ligne_import["mailcli"].'</td>
				  
				<td class="historique" 
				  onmouseover="this.style.backgroundColor=\'white\'"
				  onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$ligne_import["valeurimport"].'</td>
				  
			  <td class="historique" 
				onmouseover="this.style.backgroundColor=\'white\'"
				onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$_SESSION["devise"].'</td>
				
			  </tr>';
			  $ligne_import = mysql_fetch_assoc($resultat_import);
			}
			echo '</table>';
		}else{
          echo'<p class="info">Aucune transaction importé.</p>';
        }
		
      }
      
      if($_POST['choix'] == "fonds exportés" or $_POST['choix'] == "fonds importés ou exportés"){
        
        $requete_export = "Select * from freepay_fonds_exporter where mailcli = '".$_SESSION["mailcli"]."' order by datet desc;";
        $resultat_export = mysql_query($requete_export,$connexion); 
        $ligne_export = mysql_fetch_assoc($resultat_export);
        
        echo '<h4 class="titre">Historique des fonds exportés de FreePay vers la Banque</h4>';
        
        if(!empty($ligne_export))
      	{
      		echo '
          <table width="100%">
            <tr>
              <th>Date</th><th>Emetteur</th><th>Récepteur</th><th>Valeur</th><th>Devise</th>
            </tr>';
            
            while($ligne_export)
			{   
			  echo '<tr>
			  
			  <td class="historique" 
				onmouseover="this.style.backgroundColor=\'white\'"
				onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$ligne_export["datet"].'</td>
				
				<td class="historique" 
				  onmouseover="this.style.backgroundColor=\'white\'"
				  onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$ligne_export["mailcli"].'</td>
				
				<td class="historique" 
				  onmouseover="this.style.backgroundColor=\'white\'"
				  onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$ligne_export["iban"].'</td>
				  
				<td class="historique" 
				  onmouseover="this.style.backgroundColor=\'white\'"
				  onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$ligne_export["valeurexport"].'</td>
				  
			  <td class="historique" 
				onmouseover="this.style.backgroundColor=\'white\'"
				onmouseout="this.style.backgroundColor=\'#c8d7e3\'" >'.$_SESSION["devise"].'</td>
				
			  </tr>';
			  $ligne_export = mysql_fetch_assoc($resultat_export);
			}
			echo '</table>';
		}else{
          echo'<p class="info">Aucune transaction exporté.</p>';
        }
		
      }
      
    }else{ // si connexion échoué
      echo '<p class="erreur">La connexion à la base de donnée à échoué.</p>';
    }
    
  }else{
     echo "
    <script type='text/javascript'>
      window.location.replace('".$AdresseFreePay."support/client/connexion.php?URLRetour=http://".$_SERVER['HTTP_HOST'].$_SERVER['SCRIPT_NAME']."');
    </script>
    ";
  }
    

  echo "</div>"; // fin du corps de la page
  include("../../nav_bas.php"); // inclure le bas de la page

?>
